de.caff.generics.function

## Interface IntToCharFunction2

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IntToCharFunction2

  Function with two primitive integer arguments and a primitive byte result.
  Since:
    November 27, 2020
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `applyAsChar(int value1, int value2)` Apply this function to the given 2 arguments.
    `default IntToDoubleFunction2` | `asIntToDoubleFunction()` View this as a 2 `int` to `double` function.
    `default java.util.function.IntBinaryOperator` | `asIntToIntFunction()` View this as a 2 `int` to `int` function.
    `default IntToLongFunction2` | `asIntToLongFunction()` View this as a 2 `int` to `long` function.
    `default IntToShortFunction2` | `asIntToShortFunction()` View this as a 2 `int` to `short` function.
    `default IntToCharFunction1` | `partial1(int value1)` View this function as one with 1 argument using a fix first argument.
    `default IntToCharFunction1` | `partial2(int value2)` View this function as one with 1 argument using a fix second argument.

- - ### Method Detail

    - #### applyAsChar

          char applyAsChar(int value1,
                           int value2)

      Apply this function to the given 2 arguments.
      Parameters:
        `value1` - first argument
        `value2` - second argument
      Returns:
        the function result

    - #### partial1

          @NotNull
          default IntToCharFunction1 partial1(int value1)

      View this function as one with 1 argument using a fix first argument.
      Parameters:
        `value1` - fix first argument
      Returns:
        function expecting the remaining argument

    - #### partial2

          @NotNull
          default IntToCharFunction1 partial2(int value2)

      View this function as one with 1 argument using a fix second argument.
      Parameters:
        `value2` - fix second argument
      Returns:
        function expecting the remaining argument

    - #### asIntToShortFunction

          @NotNull
          default IntToShortFunction2 asIntToShortFunction()

      View this as a 2 `int` to `short` function.
      Returns:
        unary integer operator which will return values between `-32768` to `32767`

    - #### asIntToIntFunction

          @NotNull
          default java.util.function.IntBinaryOperator asIntToIntFunction()

      View this as a 2 `int` to `int` function.
      Returns:
        unary integer operator which will return values between `0` to `65535`

    - #### asIntToLongFunction

          @NotNull
          default IntToLongFunction2 asIntToLongFunction()

      View this as a 2 `int` to `long` function.
      Returns:
        int to long function which will return values between `0L` to `65535L`

    - #### asIntToDoubleFunction

          @NotNull
          default IntToDoubleFunction2 asIntToDoubleFunction()

      View this as a 2 `int` to `double` function.
      Returns:
        int to double function which will return integral values between `0.0` to `65535.0`